package org.uoc.apptest.domain;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

//import org.hibernate.validator.constraints.Email;


public class Profile
{  
   @NotNull
   @Size(min = 1, max = 20)
   @Pattern(regexp = "[A-Za-z0-9]*")
   private String username;

   @NotNull
   @Size(min = 1, max = 50)
   @Pattern(regexp = "[A-Za-z0-9]*")
   private String fullname;
   private String company;

   @NotNull
//   @Email
   private String email;
   
   private String showform;
	   
   public void setusername(String value) { this.username = value; }
   public String getusername()           { return this.username; }
   
   public void setfullname(String value) { this.fullname = value; }
   public String getfullname()           { return this.fullname; }

   public void setcompany(String value) { this.company = value; }
   public String getcompany()           { return this.company; }

   public void setemail(String value)   { this.email = value; }
   public String getemail()             { return this.email; }
   
   public void setshowform(String value) { this.showform = value; }
   public String getshowform()           { return this.showform; }

   public Profile()
   {
	   this.showform="createprofile";   
   }
   

   @Override
   public String toString() {
      return "Account [username=" + this.username + 
    		        ", fullname=" + this.fullname +
    		        ", company =" + this.company  +
    		        ", email   =" + this.email  +
    		        ", showform=" + this.showform +
    		  "]";
   }
}