package org.uoc.winter.anotacions;

import org.uoc.winter.validacions.ComprovaContexteAtribut;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import javax.validation.Constraint;
import java.lang.annotation.Target;

/*
 * Anotacio que indica un atribut de contexte
 */
@Target({ElementType.FIELD, ElementType.ANNOTATION_TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy=ComprovaContexteAtribut.class)
public @interface ContextAttr {
	   String group() default "";
	   String tag()   default "";
}
