package org.uoc.winter.mvc;

import java.util.ArrayList;
import java.util.Iterator;

import org.apache.log4j.Logger;

public class Mapes {
   private ArrayList<Mapa> mapes;
   private final Logger log = Logger.getRootLogger();
   
   public Mapes() {
	   mapes = new ArrayList<Mapa>();
   }
   
   public void add(Mapa mapa) {
	   String loghead="add> ";
	   
	   log.info(loghead+"begin");
	   mapa.log();
	   
	   mapes.add(mapa);
	   log.info(loghead+"end");
   }
   
   public int size() {  return mapes.size();  }
   
   public void log() {
	   Iterator<Mapa> it = mapes.iterator();
	   
	   while (it.hasNext()) {
		   Mapa map = (Mapa) it.next();
		   
		   map.log();
	   }
   }
   
   public Mapa lookuppath (String path) {
	  String loghead="lookuppath> ";
	  
	  log.info(loghead+"begin");
	  
	  Iterator<Mapa> it = mapes.iterator();
	  while (it.hasNext()) {
		  Mapa map = (Mapa) it.next();
		  if (map.get_cami().equals(path)) {
			  log.info(loghead+" buscant cami="+path+" trobat al mapa "+map.toString());
			  return map;
		  }
	  }
	  log.info(loghead+"end");
	  
	  return null;
   }
   
   public Mapa lookupcontroller (String classe) {
		  String loghead="lookupcontroller> ";
		  
		  log.info(loghead+"begin");
		  
		  Iterator<Mapa> it = mapes.iterator();
		  while (it.hasNext()) {
			  Mapa map = (Mapa) it.next();
			  if (map.get_classe().equals(classe)) {
				  log.info(loghead+" buscant classe="+classe+" trobat al mapa "+map.toString());
				  return map;
			  }
		  }
		  log.info(loghead+"end");
		  
		  return null;
	   }
}
