package org.uoc.winter.renderers;

import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class ContentView implements View {
    String type;
	String content;
    
    public ContentView(String type,String content) {
       this.type = type;
       this.content = content;
    }
    
    public void set_type(String val) { type = val; }
    public void set_content(String val) { content = val; }
            
    public void render(HttpServletRequest req,HttpServletResponse answ) throws Exception {
       answ.setContentType(type);
       
       PrintWriter out = answ.getWriter();
       out.print(content);
       out.flush();
       out.close();
    }
}