package org.uoc.apptest.mvc;

import org.uoc.apptest.domain.Profile;

import org.uoc.winter.anotacions.Controller;
//import org.uoc.winter.anotacions.ModelAttribute;
import org.uoc.winter.anotacions.RequestParam;
import org.uoc.winter.anotacions.RequestMapping;
import org.uoc.winter.enumeracions.HttpMethod;
import org.uoc.winter.mvc.Model;

//import org.springframework.validation.BindingResult;
import org.apache.log4j.Logger;


@Controller
public class ProfileController
{ 
	private final Logger log = Logger.getLogger(this.getClass());
	
    @RequestMapping(method=HttpMethod.GET)
    public String newprofile(@RequestParam("id") int id, Model model) throws Exception
   {
    	String loghead="newprofile> ";
        String nextview="loginView";
        
        log.info(loghead+"begin");
   	
     	Profile p = new Profile();
    	model.addAttribute("PROFILE", p);
    	
    	log.info(loghead+"showform="+p.getshowform());
    	log.info(loghead+"nextview="+nextview);
    	log.info(loghead+"end");
    	
        return nextview;
   }
  /*  
    @Map(valor="/create_profile",metode=MetodeHttp.POST)
     public String createprofile(@Atribut(value="PROFILE") Profile p,BindingResult result) throws Exception
    {
    	log.info("create_profile");
    	
    	if(result.hasErrors()) {
    		return "loginView";
    	}
    	
    	log.info("Profile values are : " + p);
    	
        p.setshowform("");
    	return "loginView";
    }
 */
    @RequestMapping(method=HttpMethod.GET)
    public String editprofile(Model model) throws Exception
    {
    	String loghead="editprofile> ";
    	String nextview="editprofileView";
    	
    	log.info(loghead+"begin");
    	
    	// model.addAttribute("showform", "editprofile");
        log.info(loghead+"nextview="+nextview);
        log.info(loghead+"end");

    	return nextview;
    }
    
/*
    @Map(valor="/change_profile",metode=MetodeHttp.POST)
    public String changeprofile(@Atribut(value="PROFILE") Profile p,BindingResult result) throws Exception
    {
   	    log.info("change_profile");
   	
   	    if(result.hasErrors()){
      		return "editprofileView";
     	}
   	
     	log.info("Profile values are : " + p);
   	
    	return "loggedView";
    }
  */ 
}
 