package org.uoc.winter.renderers;

import java.lang.reflect.Constructor;

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class ControllerView implements View {
	String classe;
	String metode;
    String result;
    
    public ControllerView(String classe,String metode) {
       this.classe = classe;
       this.metode = metode;
    }
    
    public void set_classe(String val) { classe = val; }
    public void set_metode(String val) { metode = val; }
    
    public void render(HttpServletRequest req,HttpServletResponse answ) throws Exception {
    	// hem d'executar el controlador i esperar la resposta
   	    
    	try {
 	      Class<?> contextclass = Class.forName(classe);
 	      Constructor<?> constructor = contextclass.getConstructor();
 	      
 	       Object rv = constructor.newInstance();
 	    }
 	    catch (Exception e) {
    		  e.printStackTrace();
    	}   	
    	
        /* reiniciem el proces amb el nou resultat */
    	if (! result.isEmpty()) {
           RequestDispatcher rd = req.getRequestDispatcher(result);
        
           if (rd!=null) {          
                rd.forward(req,answ);
           }
           else {          
                throw new Exception("No trobem la vista:" + result);
           }
    	}
    }
}